<?php
/**
 * @file
 * erpal_project_reports.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function erpal_project_reports_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_customer_category'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_customer_category'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 4,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_customer_category',
    'label' => 'Customer Category',
    'required' => FALSE,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 10,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_customer_ref'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_customer_ref'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 3,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_customer_ref',
    'label' => 'Customer',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference',
      'settings' => array(
        'match_operator' => 'CONTAINS',
        'path' => '',
        'references_dialog_add' => 0,
        'references_dialog_edit' => 0,
        'references_dialog_search' => 0,
        'references_dialog_search_view' => '',
        'references_dialog_send' => 0,
        'size' => 60,
      ),
      'type' => 'entityreference_autocomplete',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_erp_prj_tt_rep_dim_cuscat'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_erp_prj_tt_rep_dim_cuscat'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 6,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_cuscat',
    'label' => 'Dimension: Customer Category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 12,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_erp_prj_tt_rep_dim_cust'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_erp_prj_tt_rep_dim_cust'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 5,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_cust',
    'label' => 'Dimension: Customer',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 11,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_erp_prj_tt_rep_dim_user'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_erp_prj_tt_rep_dim_user'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 7,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_user',
    'label' => 'Dimension: User',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 13,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_erpal_reports_date_from'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_erpal_reports_date_from'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'date_item' => array(
      'create_date_item' => 0,
      'date_item_type' => 'simple_date',
      'handle_range' => 'range',
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
          'show_repeat_rule' => 'show',
        ),
        'type' => 'date_default',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erpal_reports_date_from',
    'label' => 'Date From',
    'required' => 0,
    'settings' => array(
      'default_value' => 'now',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'm/d/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'repeat_collapsed' => 0,
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_text',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_erpal_reports_date_scaling'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_erpal_reports_date_scaling'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 2,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erpal_reports_date_scaling',
    'label' => 'Date Scaling',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_active_projects_reports-field_erpal_reports_date_to'
  $field_instances['erpal_reports-erpal_project_active_projects_reports-field_erpal_reports_date_to'] = array(
    'bundle' => 'erpal_project_active_projects_reports',
    'comment_enabled' => 0,
    'date_item' => array(
      'create_date_item' => 0,
      'date_item_type' => 'simple_date',
      'handle_range' => 'range',
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
          'show_repeat_rule' => 'show',
        ),
        'type' => 'date_default',
        'weight' => 1,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erpal_reports_date_to',
    'label' => 'Date To',
    'required' => 0,
    'settings' => array(
      'default_value' => 'now',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'm/d/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'repeat_collapsed' => 0,
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_text',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_management_reports-field_project_ref'
  $field_instances['erpal_reports-erpal_project_management_reports-field_project_ref'] = array(
    'bundle' => 'erpal_project_management_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_project_ref',
    'label' => 'Project',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_profit_margin_reports-field_customer_category'
  $field_instances['erpal_reports-erpal_project_profit_margin_reports-field_customer_category'] = array(
    'bundle' => 'erpal_project_profit_margin_reports',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 2,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_customer_category',
    'label' => 'Customer Category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
      ),
      'type' => 'options_select',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_profit_margin_reports-field_customer_ref'
  $field_instances['erpal_reports-erpal_project_profit_margin_reports-field_customer_ref'] = array(
    'bundle' => 'erpal_project_profit_margin_reports',
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 1,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_customer_ref',
    'label' => 'Customer',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference',
      'settings' => array(
        'match_operator' => 'CONTAINS',
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
        'path' => '',
        'references_dialog_add' => 0,
        'references_dialog_edit' => 0,
        'references_dialog_search' => 0,
        'references_dialog_search_view' => '',
        'references_dialog_send' => 0,
        'size' => 60,
      ),
      'type' => 'entityreference_autocomplete',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_profit_margin_reports-field_project_ref'
  $field_instances['erpal_reports-erpal_project_profit_margin_reports-field_project_ref'] = array(
    'bundle' => 'erpal_project_profit_margin_reports',
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_project_ref',
    'label' => 'Project',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference',
      'settings' => array(
        'match_operator' => 'CONTAINS',
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
        'path' => '',
        'references_dialog_add' => 0,
        'references_dialog_edit' => 0,
        'references_dialog_search' => 0,
        'references_dialog_search_view' => '',
        'references_dialog_send' => 0,
        'size' => 60,
      ),
      'type' => 'entityreference_autocomplete',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_profit_margin_reports-field_service_category_term'
  $field_instances['erpal_reports-erpal_project_profit_margin_reports-field_service_category_term'] = array(
    'bundle' => 'erpal_project_profit_margin_reports',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 3,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_service_category_term',
    'label' => 'Service category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
      ),
      'type' => 'options_select',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_customer_category'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_customer_category'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 6,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_customer_category',
    'label' => 'Customer Category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 14,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_customer_ref'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_customer_ref'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 5,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_customer_ref',
    'label' => 'Customers',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 12,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_cuscat'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_cuscat'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 10,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_cuscat',
    'label' => 'Dimension: Customer Category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 21,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_cust'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_cust'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 9,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_cust',
    'label' => 'Dimension: Customer',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 19,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_prj'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_prj'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 8,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_prj',
    'label' => 'Dimension: Project',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 17,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_tascat'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_tascat'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 11,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_tascat',
    'label' => 'Dimension: Task Category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 22,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_user'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erp_prj_tt_rep_dim_user'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 12,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erp_prj_tt_rep_dim_user',
    'label' => 'Dimension: User',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 24,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erpal_reports_date_from'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erpal_reports_date_from'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'date_item' => array(
      'create_date_item' => 0,
      'date_item_type' => 'simple_date',
      'handle_range' => 'range',
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
          'show_repeat_rule' => 'show',
        ),
        'type' => 'date_default',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erpal_reports_date_from',
    'label' => 'Date From',
    'required' => 0,
    'settings' => array(
      'default_value' => 'now',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'm/d/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'repeat_collapsed' => 0,
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_text',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erpal_reports_date_scaling'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erpal_reports_date_scaling'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 2,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erpal_reports_date_scaling',
    'label' => 'Date Scaling',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_erpal_reports_date_to'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_erpal_reports_date_to'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'date_item' => array(
      'create_date_item' => 0,
      'date_item_type' => 'simple_date',
      'handle_range' => 'range',
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
          'show_repeat_rule' => 'show',
        ),
        'type' => 'date_default',
        'weight' => 1,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_erpal_reports_date_to',
    'label' => 'Date To',
    'required' => 0,
    'settings' => array(
      'default_value' => 'now',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'm/d/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'repeat_collapsed' => 0,
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_text',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_project_ref'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_project_ref'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 4,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_project_ref',
    'label' => 'Projects',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 10,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_project_tags'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_project_tags'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 3,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_project_tags',
    'label' => 'Task categories',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'erpal_reports-erpal_project_timetracking_reports-field_task_assigned_users'
  $field_instances['erpal_reports-erpal_project_timetracking_reports-field_task_assigned_users'] = array(
    'bundle' => 'erpal_project_timetracking_reports',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'default_value_function' => '',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 7,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'erpal_reports',
    'field_name' => 'field_task_assigned_users',
    'label' => 'Users',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'status' => 0,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 16,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Customer');
  t('Customer Category');
  t('Customers');
  t('Date From');
  t('Date Scaling');
  t('Date To');
  t('Dimension: Customer');
  t('Dimension: Customer Category');
  t('Dimension: Project');
  t('Dimension: Task Category');
  t('Dimension: User');
  t('Project');
  t('Projects');
  t('Service category');
  t('Task categories');
  t('Users');

  return $field_instances;
}
